import { defineComponent as a, openBlock as n, createElementBlock as p, mergeProps as s, unref as r, renderSlot as m } from "vue";
import "../../../config-provider/index.mjs";
import c from "../../style/operation.mjs";
import { useNamespace as i } from "../../../config-provider/hooks/use-namespace.mjs";
const k = /* @__PURE__ */ a({
  name: "ApProCardOperation",
  __name: "index",
  setup(d) {
    const { b: o } = i("pro-card-operation"), t = c("pro-card-operation");
    return (e, l) => (n(), p("div", s({
      ...e.$attrs
    }, {
      class: [r(o)(), r(t)]
    }), [
      m(e.$slots, "default")
    ], 16));
  }
});
export {
  k as default
};
